%define summary		SuperKaramba allows you to create cool desktop widgets.
%define name		superkaramba
%define version 	0.38
%define filever		0.38
%define release 	3%{_my_ext}

Name:			%{name}
Version:		%{version}
Release:		%{release}
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}
Summary:		%summary
License:		GPL
URL:			http://netdragon.sourceforge.net/
Group:			Toys
Source:			%{name}-%{version}.tar.bz2

%define python_version	%(rpm -q --qf '%%{version}' python)

BuildRoot:		%{_tmppath}/%{name}-%{version}-root

Requires:		python
BuildRequires:		python-devel

%description
SuperKaramba allows you to create cool desktop widgets with little to no programming experience.
It's similar to "Konfabulator" for the Mac.

SuperKaramba is now part of the KDE project and is located in the kdeutils directory.
This build is created from that tree.

%prep
%setup -q

# remove all SVN files so that they don't get "accidently" installed
for SVNDIR in `find . -type d -name .svn` ; do
    rm -rf $SVNDIR
done

%build

#we don't use libtool 1.5 yet
#%define __libtoolize /bin/true

%configure

make

%install

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps/ $RPM_BUILD_ROOT%{_menudir}/ \
	 $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/System/Monitoring

cp $RPM_BUILD_DIR/%{name}-%{filever}/skicon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/superkaramba.xpm

cd $RPM_BUILD_ROOT

# to many files to list sep so i'll make a dirty
# hack here to make a files list

find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="More Applications/Games/Toys" \
        title="SuperKaramba" \
        longtitle="An engine for cool desktop eyecandy." \
        command="%{_bindir}/%{name}" \
        icon="superkaramba" \
	Encoding=UTF-8 \
	TerminalOptions= \
	Terminal=false \
	X-KDE-Username=
EOF

%files -f ../file.list.%{name}

%defattr(-,root,root)
%doc superkaramba/AUTHORS superkaramba/ChangeLog superkaramba/COPYING superkaramba/INSTALL superkaramba/README superkaramba/TODO superkaramba/doc superkaramba/examples
%{_menudir}/*

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/*

%changelog

* Sun Jan 29 2006 Scott Grayban <sgrayban@borgnet.us>
 - Fixed issue when kdenewstuff wasn't defined

* Fri Jan 27 2006 Scott Grayban <sgrayban@borgnet.us>
 - Fixed the menu creation
 - Moved SuperKaramba menu item to More Applications/Games/Toys

* Wed Jan 25 2006 Scott Grayban <sgrayban@borgnet.us>
 - Build from the SVN tree of KDE 3.5 kdeutils/ directory.

* Tue Nov 22 2005 Scott Grayban <sgrayban@borgnet.us>
 - Final release for KDE 3.4 -- KDE 3.5 will have it in its build

* Mon Oct 10 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Thu Aug 6 2005 Scott Grayban <sgrayban@borgnet.us> 0.37.RC2-1bgn
  - RC2 version release

* Thu Jul 14 2005 Scott Grayban <sgrayban@borgnet.us> 0.37.RC1-1bgn
  - RC1 version release

* Wed Apr 20 2005 Scott Grayban <sgrayban@borgnet.us> 0.36-1bgn
  - See Changelog for changes - to many to list here
  - Major change is python 2.4 support

* Wed Nov 17 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-3bgn
  - Rebuild from the released version
  - Build with libtoolize
  - Fixed spec file to include the doc directory when installing the rpm
  - Fixed the Group description
  - examples directory in now installed in the /usr/share/superkaramba directory
  
* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-2bgn
  - Re-Build for MDK 10.1
    
* Wed Oct 6 2004 <sgrayban@borgnet.us> 0.35
  - Build against CVS version dated Wed Oct 6 2004
  
